Customers
List customers
List customer records in your Alvys tenant with pagination, returning company profiles, billing addresses, credit terms, and default rate agreements.
GET
/
api
/
p
/
v
{version}
/
customers
List customers
curl --request GET \
--url https://integrations.alvys.com/api/p/v{version}/customers \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://integrations.alvys.com/api/p/v{version}/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://integrations.alvys.com/api/p/v{version}/customers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://integrations.alvys.com/api/p/v{version}/customers",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://integrations.alvys.com/api/p/v{version}/customers"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://integrations.alvys.com/api/p/v{version}/customers")
.header("Authorization", "Bearer <token>")
.asString();{
"Id": "<string>",
"Name": "<string>",
"CompanyNumber": "<string>",
"Type": "<string>",
"Status": "<string>",
"Email": [
"<string>"
],
"Phone": [
"<string>"
],
"Contacts": [
{
"Id": "<string>",
"PrimaryContact": true,
"Name": "<string>",
"Email": "<string>",
"Phone": "<string>",
"Mobile": "<string>",
"Extension": "<string>",
"Title": "<string>"
}
],
"Notes": [
{
"id": "<string>",
"Description": "<string>",
"NoteType": "<string>",
"User": "<string>",
"Time": "2023-11-07T05:31:56Z",
"UserId": "<string>"
}
],
"References": [
{
"Name": "<string>",
"Value": "<string>",
"Id": "<string>",
"ReferenceId": "<string>",
"Type": "<string>",
"Access": "<string>",
"Origin": "<string>"
}
],
"BillingAddress": {
"Street": "<string>",
"City": "<string>",
"State": "<string>",
"ZipCode": "<string>",
"Country": "<string>"
},
"Fax": "<string>",
"DateCreated": "2023-11-07T05:31:56Z",
"InvoicingInformation": {
"EmailAddresses": [
"<string>"
],
"Address": {
"Street": "<string>",
"City": "<string>",
"State": "<string>",
"ZipCode": "<string>",
"Country": "<string>"
},
"PhoneNumber": "<string>",
"InvoicingName": "<string>",
"InvoicingNameAlias": "<string>",
"PaymentType": "<string>",
"PaymentTermsInDays": 123
},
"ExternalId": "<string>",
"SalesAgentId": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}{
"Type": "<string>",
"Title": "<string>",
"Status": 123,
"Detail": "<string>",
"Instance": "<string>"
}The endpoint for retrieving customer details allows you to access a single customer record by providing either the customer ID or the company number. At least one of these parameters (
OR
Replace
id or companyNumber) must be included in the request, ensuring flexibility and ease of use. For more information on how versioning works and how to include it in your requests, please refer to the Versioning page.
Request Parameters
The following parameters are conditionally required in the URL:| Parameter | Type | Required | Description |
|---|---|---|---|
| id | String | Conditional | The unique identifier of the customer. Either id or companyNumber must be provided. |
| companyNumber | String | Conditional | The company number of the customer. Either companyNumber or id must be provided. |
Example CURL Request
curl --location 'https://integrations.alvys.com/api/p/v1/customers?id=01fec4d332ed49ff96595c8d4434ea96' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
curl --location 'https://integrations.alvys.com/api/p/v1/customers?companyNumber=DLA87FOVA22060' \
--header 'Authorization: Bearer YOUR_ACCESS_TOKEN'
YOUR_ACCESS_TOKEN with your actual Bearer token. Use either id or companyNumber as required.
Response Fields
The following fields are included in the response:| Field | Type | Description |
|---|---|---|
| Id | String | The unique identifier of the customer. |
| Name | String | The name of the customer. |
| CompanyNumber | String | The company number of the customer. A customer-provided reference or registration number for their company. |
| Type | String | The type of customer (e.g., “Customer” or “Broker/3PL”). |
| Status | String | The status of the customer. Either “Active” or “Inactive”. |
| BillingAddress | Object | The billing address of the customer. |
| BillingAddress.Street | String | The street address of the billing location. |
| BillingAddress.City | String | The city of the billing address. |
| BillingAddress.State | String | The state of the billing address. |
| BillingAddress.ZipCode | String | The postal code of the billing address. |
| Array | A list of email addresses associated with the customer. | |
| Phone | Array | A list of phone numbers associated with the customer. |
| Fax | String | The fax number of the customer. |
| DateCreated | String (Date-Time) | The date and time when the customer was created. |
| InvoicingInformation | Object | The invoicing information for the customer. |
| InvoicingInformation.Address | Object | The address used for invoicing. |
| InvoicingInformation.Address.Street | String | The street address for invoicing. |
| InvoicingInformation.Address.City | String | The city of the invoicing address. |
| InvoicingInformation.Address.State | String | The state of the invoicing address. |
| InvoicingInformation.Address.ZipCode | String | The postal code of the invoicing address. |
| InvoicingInformation.EmailAddresses | Array | Email addresses used for invoicing. |
| InvoicingInformation.PhoneNumber | String | The phone number used for invoicing. |
| InvoicingInformation.InvoicingName | String | The name used for invoicing. |
| InvoicingInformation.InvoicingNameAlias | String | The alias for the invoicing name. |
| InvoicingInformation.PaymentType | String | The payment type for invoicing. |
| InvoicingInformation.PaymentTermsInDays | Integer | The payment terms, in days. |
| ExternalId | String | The external identifier associated with the customer. |
| Contacts | Array | A list of contacts associated with the customer. |
| SalesAgentId | String | The identifier of the assigned sales agent. |
| Notes | Array | A list of notes related to the customer. |
| References | Array | An optional list of custom references associated with the customer. Only values whose reference definition includes the Public API surface are returned. |
Rate Limits
All endpoints are subject to rate limits to protect the API from traffic spikes. For detailed information on rate limits, please refer to the Rate Limits section. This page is interactive, allowing you to try a request by completing the fields for the parameters below. As you fill out the parameters, the CURL command on the right side of the page will be automatically updated. Alternatively, you can fork our Public API Postman Collection directly. Make sure to authorize yourself before trying a request.Authorizations
OAuth 2.0 client-credentials access token. Obtain one from https://auth.alvys.com/oauth/token (grant_type=client_credentials, audience=https://api.alvys.com/public/), then paste it here. The playground sends it as Authorization: Bearer <token>.
Path Parameters
API version (e.g., 1.0)
Example:
"1.0"
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
List customers
